Commit 48184924 authored by Lorenzo Faletra's avatar Lorenzo Faletra

Import Debian changes 3.7.0-1parrot1

python-faraday (3.7.0-1parrot1) testing; urgency=medium

  * Import new upstream release.
parent 59eb813b
Pipeline #264 failed with stages
in 0 seconds
python-faraday (3.7.0-0kali1) kali-dev; urgency=medium python-faraday (3.7.0-1parrot1) testing; urgency=medium
* New upstream version 3.7.0 * Import new upstream release.
-- Sophie Brun <sophie@offensive-security.com> Fri, 05 Apr 2019 15:03:12 +0200 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org> Sat, 06 Apr 2019 12:23:13 +0200
python-faraday (3.6.0-0kali3) kali-dev; urgency=medium python-faraday (3.6.0-1parrot2) testing; urgency=medium
* Add a missing depend: python-pip * Allow marshmallow 2.15.3 only (credits: dmknght).
-- Sophie Brun <sophie@offensive-security.com> Fri, 29 Mar 2019 14:57:21 +0100 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org> Wed, 20 Mar 2019 00:50:48 +0100
python-faraday (3.6.0-0kali2) kali-dev; urgency=medium python-faraday (3.6.0-1parrot1) testing; urgency=medium
* Prompt the password initialization the first time (see 5366) * Import new upstream release.
-- Sophie Brun <sophie@offensive-security.com> Thu, 28 Mar 2019 14:38:37 +0100 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org> Thu, 28 Feb 2019 14:05:14 +0100
python-faraday (3.6.0-0kali1) kali-dev; urgency=medium python-faraday (3.5.0-1parrot2) testing; urgency=medium
* New upstream version 3.6.0 * Import new upstream release.
-- Sophie Brun <sophie@offensive-security.com> Fri, 22 Feb 2019 10:32:15 +0100 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org> Tue, 05 Feb 2019 17:58:08 +0100
python-faraday (3.5.0-0kali2) kali-dev; urgency=medium python-faraday (3.4-1parrot1) testing; urgency=medium
* Improve database migration in postinst when systemd is not used * Import new upstream release.
-- Sophie Brun <sophie@offensive-security.com> Tue, 05 Feb 2019 09:35:55 +0100 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org> Sat, 22 Dec 2018 11:01:55 +0100
python-faraday (3.5.0-0kali1) kali-dev; urgency=medium python-faraday (3.3-1parrot1) testing; urgency=medium
* New upstream version 3.5.0 * Import new upstream release.
* Update dependencies
* Bump Standards-Version
* Update lintian-overrides
* Refresh patches
* d/rules: fix permissions
* Migrate database if upgrade
* Import upstream patch to fix issues: admin creation and dir creation
-- Sophie Brun <sophie@offensive-security.com> Mon, 04 Feb 2019 16:24:53 +0100
python-faraday (3.4-0kali1) kali-dev; urgency=medium -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org> Wed, 28 Nov 2018 03:33:08 +0100
* Update debian/copyright python-faraday (3.2-1parrot1) testing; urgency=medium
* New upstream version 3.4
* Update email address
* Add missing depends: python-flask-restless
-- Sophie Brun <sophie@offensive-security.com> Wed, 19 Dec 2018 11:33:12 +0100 * Import new upstream release.
python-faraday (3.3-0kali1) kali-dev; urgency=medium -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org> Thu, 01 Nov 2018 21:19:34 +0100
* Import new upstream release python-faraday (3.1.1-0parrot1) testing; urgency=medium
-- Sophie Brun <sophie@freexian.com> Fri, 23 Nov 2018 15:55:57 +0100 * Disable autostart.
python-faraday (3.2-0kali1) kali-dev; urgency=medium
* Import new upstream release
-- Sophie Brun <sophie@freexian.com> Wed, 24 Oct 2018 10:18:27 +0200 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org> Fri, 19 Oct 2018 18:48:19 +0200
python-faraday (3.1.1-0kali1) kali-dev; urgency=medium python-faraday (3.1.1-0kali1) kali-dev; urgency=medium
......
...@@ -7,6 +7,3 @@ After=postgresql.service ...@@ -7,6 +7,3 @@ After=postgresql.service
Type=simple Type=simple
ExecStartPre=/bin/sh -c 'if ! su postgres -c "psql -lqt" | cut -d \| -f 1 | grep -qw faraday; then cd /usr/share/python-faraday && python manage.py initdb; fi' ExecStartPre=/bin/sh -c 'if ! su postgres -c "psql -lqt" | cut -d \| -f 1 | grep -qw faraday; then cd /usr/share/python-faraday && python manage.py initdb; fi'
ExecStart=/usr/share/python-faraday/faraday-server.py ExecStart=/usr/share/python-faraday/faraday-server.py
[Install]
WantedBy=multi-user.target
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment